Bug 147664 - Sukapura: Some icons with text (like B, I, U, etc) are too big that make them unbalance with the rest of the icons
Summary: Sukapura: Some icons with text (like B, I, U, etc) are too big that make them...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2.7
Keywords:
Depends on:
Blocks: Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2022-02-26 01:53 UTC by Rizal Muttaqin
Modified: 2022-03-24 05:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
These icons are way too big (48.91 KB, image/png)
2022-02-26 01:53 UTC, Rizal Muttaqin
Details
Here the result (46.05 KB, image/png)
2022-03-24 05:21 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2022-02-26 01:53:16 UTC
Created attachment 178549 [details]
These icons are way too big

Some icon in Colibre with font like B, I, U has too big appearance which make it unbalanced. It would be nice if they are shrunk to some degree to make it balance with other icon.

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: ea25606de5f1a60430a74107b0e2e0986ac1bb15
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: id-ID
Calc: threaded

Version: 7.3.0.3 / LibreOffice Community
Build ID: 30(Build:3)
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: id-ID
Ubuntu package version: 1:7.3.0~rc3-0ubuntu0.20.04.1~lo1
Calc: threaded
Comment 1 Commit Notification 2022-02-26 22:16:09 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2a403801576543a7254edd41d6919c8c57c34f9e

Sukapura: tdf#147664 Shrink some icons to make them balance

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2022-02-27 00:30:43 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/eeac435199737f91c57184b46b3afd92b945e238

Sukapura: tdf#147664 Shrink some icons to make them balance

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-03-01 07:39:07 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/0c7edf73fcd3df053060e723282d6d788fc3848f

Sukapura: tdf#147664 Revise Increase Font & Decrease Font, Default Style,

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-03-01 07:40:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fcfa854db5b81454047e1dde36de781e395dd498

Sukapura: tdf#147664 Revise Increase Font & Decrease Font, Default Style,

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-03-02 05:29:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/1739fbb9a22d2e275329f1f1ce9fbfa3aea7b7fa

Sukapura: tdf#147664 Revise Increase Font & Decrease Font, Default Style,

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Roman Kuznetsov 2022-03-03 18:32:55 UTC
Rizal, when will you merge all patches, please will not forget close the report =) 
Thank you for your great work
Comment 7 Rizal Muttaqin 2022-03-24 05:21:52 UTC
Created attachment 179062 [details]
Here the result

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 59a7c40255b836ed75e64686fabb3e9938b755f0
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: en-US
Calc: threaded